StreamCharBuffer.StreamCharBufferWriter (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class StreamCharBuffer.StreamCharBufferWriter

- org.grails.buffer.StreamCharBuffer.StreamCharBufferWriter

- All Implemented Interfaces and Traits:
    EncodedAppenderFactory, EncodedAppenderWriterFactory

      public final class StreamCharBuffer.StreamCharBufferWriter
      extends java.io.Writer
      implements EncodedAppenderFactory, EncodedAppenderWriterFactory

  This is the java.io.Writer implementation for StreamCharBuffer

  Authors:
    Lari Hotari, Sagire Software Oy

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `boolean` | `closed` |
    `EncodedAppender` | `encodedAppender` |
    `boolean` | `increaseCounter` |
    `int` | `writerUsedCounter` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public final java.io.Writer` | `append(java.lang.CharSequence csq, int start, int end)`
    `` | `public final java.io.Writer` | `append(java.lang.CharSequence csq)`
    `` | `public void` | `append(EncodingState encodingState, char character)`
    `` | `protected void` | `appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)`
    `` | `boolean` | `appendSubBuffer(StreamCharBuffer subBuffer, java.util.List<Encoder> encoders)`
    `` | `public void` | `close()`
    `` | `public void` | `flush()`
    `` | `void` | `flushWriter(boolean forceFlush)`
    `` | `public final StreamCharBuffer` | `getBuffer()`
    `` | `private final int` | `getDirectChunkMinSize()`
    `` | `public EncodedAppender` | `getEncodedAppender()`
    `` | `private final int` | `getNewChunkMinSize()`
    `` | `public java.io.Writer` | `getWriterForEncoder(Encoder encoder, EncodingStateRegistry encodingStateRegistry)`
    `` | `public boolean` | `isClosed()`
    `` | `private final boolean` | `isNextChunkBigEnough(int len)`
    `` | `public boolean` | `isUsed()`
    `` | `public final void` | `markUsed()`
    `` | `public int` | `resetUsed()`
    `` | `private final boolean` | `shouldWriteDirectly(int len)`
    `` | `public final void` | `write(char[] b, int off, int len)`
    `` | `private final void` | `write(EncodingState encodingState, char[] b, int off, int len)`
    `` | `public final void` | `write(java.lang.String str)`
    `` | `public final void` | `write(java.lang.String str, int off, int len)`
    `` | `private final void` | `write(EncodingState encodingState, java.lang.String str, int off, int len)`
    `` | `public final void` | `write(StreamCharBuffer subBuffer)`
    `` | `public final void` | `write(StreamCharBuffer subBuffer, java.util.List<Encoder> encoders)`
    `` | `public void` | `write(int b)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.Writer` | `java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#nullWriter(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()`

- - ### Field Detail

    - #### boolean closed

    - #### EncodedAppender encodedAppender

    - #### boolean increaseCounter

    - #### int writerUsedCounter

  - ### Method Detail

    - #### @java.lang.Override public final java.io.Writer append(java.lang.CharSequence csq, int start, int end)

    - #### @java.lang.Override public final java.io.Writer append(java.lang.CharSequence csq)

    - #### public void append(EncodingState encodingState, char character)

    - #### protected void appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)

    - #### boolean appendSubBuffer(StreamCharBuffer subBuffer, java.util.List<Encoder> encoders)

    - #### @java.lang.Override public void close()

    - #### @java.lang.Override public void flush()

    - #### void flushWriter(boolean forceFlush)

    - #### public final StreamCharBuffer getBuffer()

    - #### private final int getDirectChunkMinSize()

    - #### public EncodedAppender getEncodedAppender()

    - #### private final int getNewChunkMinSize()

    - #### public java.io.Writer getWriterForEncoder(Encoder encoder, EncodingStateRegistry encodingStateRegistry)

    - #### public boolean isClosed()

    - #### private final boolean isNextChunkBigEnough(int len)

    - #### public boolean isUsed()

    - #### public final void markUsed()

    - #### public int resetUsed()

    - #### private final boolean shouldWriteDirectly(int len)

    - #### @java.lang.Override public final void write(char[] b, int off, int len)

    - #### private final void write(EncodingState encodingState, char[] b, int off, int len)

    - #### @java.lang.Override public final void write(java.lang.String str)

    - #### @java.lang.Override public final void write(java.lang.String str, int off, int len)

    - #### private final void write(EncodingState encodingState, java.lang.String str, int off, int len)

    - #### public final void write(StreamCharBuffer subBuffer)

    - #### public final void write(StreamCharBuffer subBuffer, java.util.List<Encoder> encoders)

    - #### @java.lang.Override public void write(int b)